#### Previous topic

scipy.sparse.vstack

#### Next topic

scipy.sparse.random

# scipy.sparse.rand

`scipy.sparse.``rand`(m, n, density=0.01, format='coo', dtype=None, random_state=None)

  Generate a sparse matrix of the given shape and density with uniformly distributed values.

  Parameters:

  m, n : int

  > shape of the matrix

  density : real, optional

  > density of the generated matrix: density equal to one means a full matrix, density of 0 means a matrix with no non-zero items.

  format : str, optional

  > sparse matrix format.

  dtype : dtype, optional

  > type of the returned matrix values.

  random_state : {numpy.random.RandomState, int}, optional

  > Random number generator or random seed. If not given, the singleton numpy.random will be used.

  Notes

  Only float types are supported for now.